Issue #13843 has been reported by MSP-Greg (Greg L).

----------------------------------------
Bug #13843: RubyGems 2.6.13 - Align lib/rubygems/resolver.rb with rubygems/rubygems
https://bugs.ruby-lang.org/issues/13843

* Author: MSP-Greg (Greg L)
* Status: Open
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.5.0dev (2017-08-25 trunk 59654) [x64-mingw32]
* Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN
----------------------------------------
Currently, the file `lib/rubygems/resolver.rb` differs between ruby/ruby and rubygems/rubygems in the `search_for` method.

Attached patch aligns them and adds the test for it, which is also missing from ruby/ruby.  Tested against MinGW trunk builds and Travis.

See [rubygem/rubygems PR 1993](https://github.com/rubygems/rubygems/pull/1993)

---Files--------------------------------
gem_resolver.patch (2.46 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>